Skip to main content
GET
query communities.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

keyword
string
Maximum string length: 100
tags
string[]

Used for querying communities by matching all specified tags. When a query includes multiple tags (e.g., tags=['tag1', 'tag2', 'tag3']), the system will return all communities that have all the specified tags.

Maximum array length: 10
Required string length: 1 - 1000
filter
enum<string>
default:all
Available options:
all,
member,
notMember
categoryId
string
Required string length: 50
sortBy
enum<string>
default:lastCreated

The default value depends on the 'search' parameter.

  • If 'search' parameter is not set, the default value is 'lastCreated'.
  • If 'search' parameter is set, the default value is 'displayName'.
Available options:
firstCreated,
lastCreated,
displayName
isDeleted
boolean

isDeleted:

  • null(default) - Show both community is actived and community is inactived.
  • true - Show community is inactived only.
  • false - Show community is actived only.
hasFlag
boolean

hasFlag: * null(default) - Show all communities. * true - Show only community has flagged post(or children post) or has flagged comment. * false - Show only community has no flagged post(and children post) and has no flagged comment.

includeDiscoverablePrivateCommunity
boolean

If true, include discoverable private communities in the response. Default is false.

options[limit]
integer
default:10

Number of results per page (1-100)

Required range: 1 <= x <= 100
options[token]
string

Pagination token for getting next/previous pages

Maximum string length: 1000

Response

Community Users Information

communities
object[]
communityUsers
object[]
files
object[]
users
object[]
categories
object[]
feeds
object[]
paging
object